Skip to content
The API may change between versions while TTX-Zone is 0.x.

Submit feedback

POST
/api/v1/ttx/{ttx_id}/run/feedback

Answer the form, anonymously, once the session is over.

as
Any of:
string
<= 16 characters
Media typeapplication/json
RunFeedbackWrite

Statement key -> 1..5 and open question key -> text; all optional.

object
answers
Answers
object
key
additional properties
string
<= 2000 characters
scores
Scores
object
key
additional properties
integer
>= 1 <= 5

Example generated

{
"answers": {
"additionalProperty": "example"
},
"scores": {
"additionalProperty": 1
}
}

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}